loadStreamUrl

The loadStreamUrl command in the playbackSession namespace loads a streaming (live) radio station URL and optionally starts playback. Upon successful completion, the player sends a playbackStatus event to your app or hardware integration. Your app should subscribe to the playback namespace before sending the loadStreamUrl command to avoid race conditions in receiving playbackStatus or playbackError events.

This command requires that your app has an open playback session with a cloud queue, created or joined using the createSession, joinSession, or joinOrCreateSession command.

If you want to immediately start playing the stream, set the playOnCompletion parameter to true. This bypasses the need to send a play command after the player loads the stream.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Target sessionId

Body Params
string
required
length ≤ 1024

HTTP URL for the radio station stream. See the supported content types below. Note that you cannot use this command to send an on-demand track for playback.

boolean | null

(Optional) If true, the player will start playback after loading the stream URL. If false or not provided, the player remains in the PLAYBACK_IDLE state.

stationMetadata
object

(Optional) Metadata about the radio station. See below for details.

string | null

(Optional) If provided, the player includes this itemId in subsequent playbackStatus and playbackError events corresponding to this stream.

Headers
uuid
deprecated

Client API Key for the integration. Required in V1 but deprecated in V2.

uuid

Correlation UUID for data tracking purposes

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json